Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 591795 - autofs crashes because of double-free under heavy stress
Summary: autofs crashes because of double-free under heavy stress
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: autofs5
Version: 4.8
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Ian Kent
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On: 539667
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-13 07:32 UTC by RHEL Product and Program Management
Modified: 2010-05-27 09:43 UTC (History)
12 users (show)

Fixed In Version: autofs5-5.0.1-0.rc2.106.el4_8.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-27 09:43:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0446 normal SHIPPED_LIVE autofs bug fix update 2010-05-27 09:43:02 UTC

Description RHEL Product and Program Management 2010-05-13 07:32:38 UTC
This bug has been copied from bug #539667 and has been proposed
to be backported to 4.8 z-stream (EUS).

Comment 4 yanfu,wang 2010-05-20 05:16:07 UTC
1. check autofs.spec:
Patch185: autofs-5.0.1-fix-double-free-in-expire_proc.patch
...
%patch185 -p1
...
%changelog
* Fri May 14 2010 Ian Kent <ikent@redhat.com> - 5.0.1-0.rc2.106.el4_8.3
- Bug 591795 - autofs crashes because of double-free under heavy stress
  - fix double free in expire_proc().
- Resolves: rhbz#591795

2. build check and it applies cleanly during the build.

Comment 5 errata-xmlrpc 2010-05-27 09:43:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0446.html


Note You need to log in before you can comment on or make changes to this bug.